#ifndef __UDS_2FSERVICE_Main_H
#define __UDS_2FSERVICE_Main_H

#include "stdint.h"
#include "UDS_2FService_Filter.h"
#include "UDS_2FService_Internal.h"

void UDS_Service_2F_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_2FService_DID(void);
void UDS_2FService_DID_62E1(void);
void UDS_2FService_DID_62E2(void);
void UDS_2FService_DID_62E4(void);

#endif